<template>
  <b-container>
    <h1>Frequently Asked Questions</h1>

    <h2>What is ANTARES?</h2>
    <p>
      ANTARES is a real-time astronomy system under development at
      <a :href="links.noirlab">NSF NOIRLab</a>. We ingest all alerts from the ZTF survey and run
      filters on them in real-time. Filters are python functions that determine whether an alert
      is of interest or not. Filters flag alerts for distribution by various output streams
      depending on their properties.
    </p>
    <p>
      If you're an Astronomer: ANTARES is a real-time Alert Broker. It allows you to receive,
      process, and filter alerts from surveys. If you operate a survey, ANTARES allows you to
      distribute your alerts to the community.
    </p>
    <p>
      If you're a Software Engineer: ANTARES is like AWS Lambda or GCP Cloud Functions for astronomy
      -- a way of running arbitrary functions in response to real-time events.
    </p>

    <h2>How do I lookup data in ANTARES?</h2>
    <p>
      If you have an object ID from another survey, you can visit the URL
      {{ ANTARES_FRONTEND_URL }}/loci/lookup/&lt;object_id&gt; to try and find it. For example
      the ZTF object <strong>ZTF18abdeygm</strong> can be found at
      <a :href="ANTARES_FRONTEND_URL + '/loci/lookup/ZTF18abdeygm'">
        {{ ANTARES_FRONTEND_URL }}/loci/lookup/ZTF18abdeygm
      </a>
    </p>

    <h2>How do I get started?</h2>
    <p>Take a look at the <a :href="links.docs">ANTARES Documentation Site</a>.</p>

    <h2>How do I cite ANTARES?</h2>
    <p>If you use ANTARES in your research please use the following citation:</p>
    <ul>
      <li>
        <a href="https://iopscience.iop.org/article/10.3847/1538-3881/abd703">Matheson et al. 2021 AJ 161 107</a>
      </li>
    </ul>

    <h2>How do we approve filters to run on ANTARES?</h2>
    <p>
      We approve/reject filters at our discretion, pending our creation of a formal review
      committee. We want to work with you to get your filter running. Please:
    </p>
    <ul>
      <li>Comment your code well, making it readable and understandable by others.</li>
      <li>Adhere to the PEP8 Python style guide as much as is reasonable.</li>
      <li>
        Test your code using the Devkit and make sure it runs successfully on the test dataset.
      </li>
    </ul>

    <h2>What are Tags?</h2>
    <p>
      Filters can "tag" Loci with text strings which we call Tags. Loci are then queryable by tag.
      Check out the <a :href="links.tags">Tags</a> page to get an idea of how this works.
    </p>
    <p>
      Each Tag also creates an output stream. Using the ANTARES client library, you can connect your
      system to ANTARES and receive data in real-time if it matches the Tag you're interested in.
    </p>

    <h2>What other brokers are out there?</h2>
    <p>
      There are several other groups developing brokers to process the ZTF alert stream. Examples
      include:
    </p>
    <ul>
      <li>
        <a :href="links.alerce">ALeRCE</a> (Automatic Learning for the Rapid Classification of
        Events), U. Austral (Inf.), U. Católica (DCC), U. Chile (CMM, DIE), U. Concepción (DCC), the
        Millennium Institute for Astrophysics – MAS and U. Nacional Andres Bello – UNAB (DCF) in
        Chile, and REUNA
      </li>
      <li>
        <a :href="links.lasair">Lasair</a>, University of Edinburgh and Queen's University, Belfast
      </li>
    </ul>
    <h2>How do I join the ANTARES Slack workspace?</h2>
    <p>
      Use the following <a :href="ANTARES_SLACK_INVITATION">link</a>. We use this Slack workspace to
      answer questions that users have in the #help channel
    </p>
    <h2>Something's not quite right.....</h2>
    <p>
      Don't hesitate to drop us a line at <a :href="'mailto:' + ANTARES_SUPPORT_EMAIL">
        {{ ANTARES_SUPPORT_EMAIL }}</a> or chat with us on
      the <a :href="ANTARES_SLACK_INVITATION">ANTARES Slack</a>.
    </p>
  </b-container>
</template>

<script>
import Vue from 'vue';

export default Vue.extend({
  name: 'FAQ',

  data() {
    return {
      links: {
        alerce: 'http://alerce.science/',
        docs: 'https://nsf-noirlab.gitlab.io/csdc/antares/antares',
        lasair: 'https://lasair.roe.ac.uk/',
        noirlab: 'https://noirlab.edu/',
        tags: '/tags',
      },
    };
  },
});
</script>

<style scoped>
a {
  color: blue;
  text-decoration: none;
  /*text-transform: uppercase;*/
}
</style>
